$(document).ready(function() {
	"use strict";

	// Wow Animations
    var wow = new WOW(
	    {
		    boxClass:     "wow",      
		    animateClass: "animated", 
		    offset:       0,       
		    mobile:       true,      
		    live:         true       
	    }
    )
    wow.init();

	// Slide out navigation
	$("#navigation").on("click", function(e){
		e.preventDefault();
		$(this).addClass("open");
		$("#slide_out_menu").toggleClass("open");

		if ($("#slide_out_menu").hasClass("open")) {
			$(".menu-close").on('click', function(e){
				e.preventDefault();
				$("#slide_out_menu").removeClass("open");
			})
		}
	});

	// Fixed navigation
	$(window).on("scroll", function(e) {
		if ($(this).scrollTop() > 50){
			$(".main-navigation").addClass("sticky");
		}
		else{
			$(".main-navigation").removeClass("sticky");
		}
	});

	//Scroll down
	$("#scroll-down").on("click", function () {
		var destination = $("#preview-app").offset().top;
		$("html, body").animate({scrollTop: destination}, 700);
	});

	//Testimonial carousel
	$("#owl-testimonials").owlCarousel({
		loop: true,
		navigation: true,
		navigationText: ["<i class='fa fa-angle-left'></i>","<i class='fa fa-angle-right'></i>"],
		autoHeight : true,
		autoPlay: false,
		slideSpeed: 800,
		singleItem: true
	});

	//Downloads counter
	$(".counter").counterUp({
	    delay: 10,
	    time: 1000
	});

    //Back to Top
    $("#back-to-top").on("click", function(e) {
    	e.preventDefault();
    	$("html, body").animate({scrollTop: 0}, 700);
    });

	//Goals for Yandex.Metrika and Google Analytics
	$(".count_element").on("click", (function() {
		ga("send", "event", "goal", "goal");
		yaCounterXXXXXXXX.reachGoal("goal");
		return true;
	}));

	//Ajax form
	//Documentation: http://api.jquery.com/jquery.ajax/
	$("#form").submit(function() { //Change
		var th = $(this);
		$.ajax({
			type: "GET",
			url: "mail.php", 
			data: th.serialize()
		}).done(function() {
			alert("Thank you!");
			setTimeout(function() {
				// Done Functions
				th.trigger("reset");
			}, 1000);
		});
		return false;
	});

	//Chrome Smooth Scroll
	try {
		$.browserSelector();
		if($("html").hasClass("chrome")) {
			$.smoothScroll();
		}
	} catch(err) {

	};

	$("img, a").on("dragstart", function(event) { event.preventDefault(); });
	
});
//Theme loader
$(window).on("load", function() {
	$.ready.then(function(){
      $(".loader_inner").fadeOut();
	  $(".loader").delay(400).fadeOut("slow");
   });
});
